Index: include/libs.h
===================================================================
--- include/libs.h	(revision b28a12ef97b945387f5b106a616f46d89ccff6b6)
+++ include/libs.h	(revision ffce2bc24d9bc17b76e2f79a5911072ae50bb992)
@@ -1,5 +1,5 @@
 /*
    =============================================================================
-	all.h -- top-level include file
+	libs.h -- library include file
 	Version 1 -- 2017-07-10 -- Thomas Lopatic
    =============================================================================
@@ -7,4 +7,6 @@
 
 #pragma once
+
+/* macro and type declarations */
 
 #include "ascii.h"
@@ -55,2 +57,119 @@
 #include "wordq.h"
 #include "wsdsp.h"
+
+/* functions and variables */
+
+#include "../iolib/dofmt.x"
+#include "../iolib/mdump.x"
+#include "../iolib/pause.x"
+#include "../iolib/printf.x"
+#include "../iolib/rawio.x"
+#include "../iolib/sprintf.x"
+#include "../iolib/waitcr.x"
+
+#include "../lib700/bitrev.x"
+#include "../lib700/ctype.x"
+#include "../lib700/ispow2.x"
+#include "../lib700/mangle.x"
+#include "../lib700/micons.x"
+#include "../lib700/tolower.x"
+#include "../lib700/toupper.x"
+
+#include "../libcio/atoi.x"
+#include "../libcio/atol.x"
+#include "../libcio/blkrd.x"
+#include "../libcio/blkwr.x"
+#include "../libcio/close.x"
+#include "../libcio/clusmap.x"
+#include "../libcio/conin.x"
+#include "../libcio/conwr.x"
+#include "../libcio/dirfns.x"
+#include "../libcio/fgets.x"
+#include "../libcio/filesys.x"
+#include "../libcio/filname.x"
+#include "../libcio/flread.x"
+#include "../libcio/fopen.x"
+#include "../libcio/fprintf.x"
+#include "../libcio/fputs.x"
+#include "../libcio/fread.x"
+#include "../libcio/fscanf.x"
+#include "../libcio/fseek.x"
+#include "../libcio/fsinit.x"
+#include "../libcio/fsize.x"
+#include "../libcio/fstubs.x"
+#include "../libcio/ftell.x"
+#include "../libcio/fwrite.x"
+#include "../libcio/getbuff.x"
+#include "../libcio/getc.x"
+#include "../libcio/getl.x"
+#include "../libcio/getw.x"
+#include "../libcio/lseek.x"
+#include "../libcio/open.x"
+#include "../libcio/posit.x"
+#include "../libcio/putc.x"
+#include "../libcio/putl.x"
+#include "../libcio/putw.x"
+#include "../libcio/readrn.x"
+#include "../libcio/read.x"
+#include "../libcio/rename.x"
+#include "../libcio/scan.x"
+#include "../libcio/setbuf.x"
+#include "../libcio/ungetc.x"
+#include "../libcio/unlink.x"
+#include "../libcio/writern.x"
+#include "../libcio/write.x"
+
+#include "../libsm/index.x"
+#include "../libsm/memccpy.x"
+#include "../libsm/memchr.x"
+#include "../libsm/memcmpu.x"
+#include "../libsm/memcmp.x"
+#include "../libsm/memcpyw.x"
+#include "../libsm/memcpy.x"
+#include "../libsm/memsetw.x"
+#include "../libsm/memset.x"
+#include "../libsm/rindex.x"
+#include "../libsm/str2lc.x"
+#include "../libsm/str2uc.x"
+#include "../libsm/strcat.x"
+#include "../libsm/strccpy.x"
+#include "../libsm/strchr.x"
+#include "../libsm/strcmp.x"
+#include "../libsm/strcpy.x"
+#include "../libsm/strcspn.x"
+#include "../libsm/strfill.x"
+#include "../libsm/strlcmp.x"
+#include "../libsm/strlen.x"
+#include "../libsm/strltrm.x"
+#include "../libsm/strncat.x"
+#include "../libsm/strncmp.x"
+#include "../libsm/strncpy.x"
+#include "../libsm/strpbrk.x"
+#include "../libsm/strrchr.x"
+#include "../libsm/strrevi.x"
+#include "../libsm/strrev.x"
+#include "../libsm/strrtrm.x"
+#include "../libsm/strspn.x"
+#include "../libsm/strtok.x"
+#include "../libsm/strtol.x"
+
+#include "../misc/proto.x"
+
+#include "../prolog/croot.x"
+
+#include "../vlib/cg2.x"
+#include "../vlib/cg3.x"
+#include "../vlib/glcinit.x"
+#include "../vlib/lseg.x"
+#include "../vlib/vbfill4.x"
+#include "../vlib/vclrs.x"
+#include "../vlib/vhinit.x"
+#include "../vlib/vmput.x"
+#include "../vlib/vobjfns.x"
+#include "../vlib/vputsv.x"
+#include "../vlib/vputs.x"
+#include "../vlib/vsetpal.x"
+#include "../vlib/vsinit.x"
+#include "../vlib/vspray4.x"
+#include "../vlib/vtext.x"
+#include "../vlib/vwputm.x"
